User avatar
mipapo
Administrator
Posts: 1397
Joined: Mon 29. Jul 2013, 20:26
Location: Kiel
Contact: Website Facebook Twitter

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sun 4. Sep 2016, 20:08

eine Alternative für die .htaccess Datei für web/.htaccess

Code: Select all

<IfModule mod_rewrite.c>
    Options +FollowSymlinks
    RewriteEngine On
    RewriteRule ^app.php - [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteRule ^(.*)$ /app.php [QSA,L]
</IfModule>
Sollte jemand versuchen RUNALYZE in einem Unterverzeichnis ans Laufen zu bekommen testet bitte einmal diese .htaccess Datei

Code: Select all

<IfModule mod_rewrite.c>
    Options +FollowSymLinks
    RewriteEngine On
    RewriteBase /
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteRule ^(.*)$ web/app.php/$1 [QSA,L]
</IfModule>
Ggf muss der RewriteBase Pfad angepasst werden. Wir können das leider nicht testen
0 x
###Donate to RUNALYZE###
Höhenmeter (Korrektur & Berechnung) - Nutzerhilfe/User help -

Run Happy!,
Michael
P.S. Ich antworte gerne kurz und knackig ;)
Image

User avatar
Harlerunner
Neuling
Posts: 15
Joined: Wed 11. Mar 2015, 13:11
Contact: Website

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sun 4. Sep 2016, 20:31

Jetzt funktioniert es. Das Problem liegt im FTP-Übertragungsmodus für die -htaccess-Datei. Diese muss per ASCII auf den Server übertragen werden. FileZilla war bei mir so eingestellt, dass es selbständig entscheidet welchen Modus es nimmt. Nach Umstellung auf ASCII und erneuter Übertragung lief es dann sofort.
0 x

GFx
Neuling
Posts: 1
Joined: Mon 5. Sep 2016, 18:42

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Mon 5. Sep 2016, 19:03

Hallo,

ich hab mich mal angemeldet um vielleicht auch einen kleinen Tipp zu hinterlassen.

Ich nutze Runalyze seit ca. zwei Wochen und bin wirklich begeistert. Vielen Dank an die Macher.

Zum Glück war die Erstinstallation (2.6.4) vollkommen problemlos. Danach ging nämlich erst mal gar nichts mehr. Weder das Update auf 2.6.5 noch auf 3.0 wollte klappen. Das selbe beim Versuch einer Neuinstallation von 3.0. Hätte ich zwei Wochen später gestartet, könnte es sein, dass ich aufgegeben hätte, bevor es losging.

So hab ich es nach x Versuchen doch noch hinbekommen. Beim Update auf 2.6.5 hab ich vermutlich irgendwas beim kopieren verkehrt gemacht (mehrfach) bei 3.0 lag es an meinem Webserver. Der läuft auf einer Synology Diskstation und beim Einrichten bzw. dem Zugriff auf die Sub-Domain hat es geklemmt.

Mit den Einstellungen des angehängten Screenshots klappte es am Ende doch noch - vielleicht hilft es ja jemandem.

Kurz zusammengefasst:
Virtueller Host:
Portbasiert: HTTPS 8003
Document-Root: web/runalyze/web
HTTP-Backend-Server: Apache HTTP Server 2.2
PHP 5.6
Zugriff: https://<Servername>:8003
subdomain.jpg
Synology Diskstation Sub-Domain
subdomain.jpg (218.1 KiB) Viewed 2861 times
0 x
Nur weil ich paranoid bin, heißt das ja noch lange nicht, dass ich nicht verfolgt werde. :roll:


Image

User avatar
mipapo
Administrator
Posts: 1397
Joined: Mon 29. Jul 2013, 20:26
Location: Kiel
Contact: Website Facebook Twitter

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Mon 5. Sep 2016, 20:03

GFx wrote:Hallo,

ich hab mich mal angemeldet um vielleicht auch einen kleinen Tipp zu hinterlassen.
Vielen Dank fürs Teilen deiner Erfahrungen! :)
0 x
###Donate to RUNALYZE###
Höhenmeter (Korrektur & Berechnung) - Nutzerhilfe/User help -

Run Happy!,
Michael
P.S. Ich antworte gerne kurz und knackig ;)
Image

marathom
Neuling
Posts: 9
Joined: Tue 10. Mar 2015, 20:20

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sat 17. Sep 2016, 12:22

Hi, auch mein Versuch des Updates ist leider essentiell gescheitert.

Meine Verzeichnisstruktur auf dem Server sieht so aus:
Server.jpg
Server.jpg (57.88 KiB) Viewed 2800 times
Das Verzeichnis "runalyze" enthält alle Daten. Ich habe in meinem Webserver-Confixx-Tool eine Subdomaine eingerichtet, die auf /runalyze/web verweist. wenn ich nun diese Subdomaine aufrufe erscheint folgende Fehlermeldung:
Fatal error: Uncaught exception 'Symfony\Component\DependencyInjection\Exception\InvalidArgumentException' with message 'There is no extension able to load the configuration for "locale" (in /home/www/web500/html/runalyze/app/config/../../data/config.yml). Looked for namespace "locale", found "framework", "security", "monolog", "doctrine", "doctrine_migrations", "sensio_framework_extra", "twig"' in /home/www/web500/html/runalyze/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/YamlFileLoader.php:404 Stack trace: #0 /home/www/web500/html/runalyze/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/YamlFileLoader.php(374): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->validate(Array, '/home/www/web50...') #1 /home/www/web500/html/runalyze/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/YamlFileLoader.php(68): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->loadFile('/home/www/web50...') #2 /home/www/web500/html/runalyze/vendor/sym in /home/www/web500/html/runalyze/vendor/symfony/symfony/src/Symfony/Component/Config/Loader/FileLoader.php on line 118

Selbige taucht auch auf, wenn ich meine "alte" URL (/runalyze an die Hauptdomaine angehangen) aufrufe. Meine Config.yml habe ich mit meinen alten Daten an die neue Form angepasst und -zumindest aus meiner Perspektive- alles so gemacht, wie in der Anleitung beschrieben. Eigentlich kann man ja nix falschmachen, dachte ich mir so. Die technischen Grundvoraussetzungen (php 5.6 / MySql 5.4.0+) sind gegeben, jetzt weiß ich nicht mehr weiter. Wo ist mein Denk- /Technik-Fail?

Liebe Grüße,
Thomas
0 x

User avatar
laufhannes
Core developer
Posts: 761
Joined: Mon 29. Jul 2013, 20:59

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sat 17. Sep 2016, 12:38

Sieht deine Konfiguration im Prinzip so aus wie https://github.com/Runalyze/Runalyze/bl ... config.yml ? Insbesondere muss ganz am Anfang `parameters:` stehen und die folgenden Zeilen müssen alle eingerückt sein.
0 x
User help -- short questions via Twitter, Facebook

User avatar
mipapo
Administrator
Posts: 1397
Joined: Mon 29. Jul 2013, 20:26
Location: Kiel
Contact: Website Facebook Twitter

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sat 17. Sep 2016, 12:40

Zusätzlich zu Hannes Antwort:
@marathom:
Womit hast du die config.yml bearbeitet/erstellt?
Schaut mal in FileZilla nach, ob die Einstellung dem auf dem Screenshot entspricht. Wenn nicht dann lade die Datei erneut hoch.
Attachments
scr_htaccess-pwd-schutz_03.jpg
scr_htaccess-pwd-schutz_03.jpg (64.08 KiB) Viewed 2796 times
0 x
###Donate to RUNALYZE###
Höhenmeter (Korrektur & Berechnung) - Nutzerhilfe/User help -

Run Happy!,
Michael
P.S. Ich antworte gerne kurz und knackig ;)
Image

marathom
Neuling
Posts: 9
Joined: Tue 10. Mar 2015, 20:20

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sat 17. Sep 2016, 16:03

Danke schonmal für die Antworten ;)
Die config.yml habe ich mit dem Windows-Editor aus dem aus der default-config editiert. Ich bastel sie aber noch einmal neu, denn irgendwie sah sie nicht aus wie unter deinem o.g. Link. Die Zeilenumbrüche fehlten. Ich baue sie jetzt mal mittels CopyPaste aus dem @hannes-Link nach, füge meine config-parameter ein und ASCII-kopiere sie mittels FileZilla.
Dann werden wir weitersehen... :)
0 x

User avatar
FrankS
Neuling
Posts: 16
Joined: Wed 31. Aug 2016, 00:52
Location: Erfelden am Rhein
Contact: Website

Re: Update von 2.6 auf 3.0 kapiere gar nix mehr!

Sun 18. Sep 2016, 11:48

Leute es geht!!!!!!! :D :D :D DANKE!, DANKE! DANKE! ;) ;) ;)
Nach gut 2 Wochen im Kreis drehen und alles möglich probieren. Lief es jetzt mit folgender Varaiente:
Subdomaim erstellen (in meinem fall runalyze3.xxxxxxxxxxx.de)
Verweis der Subdomain auf runalyze3/web/ <- nur so geht es runalyze3/ alleine reicht nicht! :idea:
htaccess im web folder so umschreiben: :idea:
<IfModule mod_rewrite.c>
Options +FollowSymlinks
RewriteEngine On
RewriteRule ^app.php - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(.*)$ /app.php [QSA,L]
</IfModule>

Jetzt läuft beides auf dem Server. Sowohl V2.6.4 und auch V3.0 :D :D :D wie geil ist das denn :!: ;) ;) Die V2.6.5. hab ich nicht ans laufen gebraucht warum auch immer. Ist mir aber jetzt furz piep egal ;)
Jetzt kann ich den langen Sonntagslauf starten ;)
0 x

Return to “Runalyze v3.0.x”

Who is online

Users browsing this forum: No registered users and 2 guests